# Acknowledgements

This project is not the work of a single person. It contains Node packages and code from many members of the Discord modding community over time and even the JavaScript community in general. I try to make citations in the code to give credit where credit is due as much as possible---indicating the author, license type, and usually a link to the original source---but I'm sure I've missed some people as well. Still, this is a thank to all of those people whose code and ideas have contributed to the creation of Vizality.

## Notable Mentions

**[Zack Rauenzi](https://github.com/rauenzi)**<br>
_Developer of [BandagedBetterDiscord](https://github.com/rauenzi/BetterDiscordApp)_

He has helped both directly and indirectly on Vizality by letting me bounce ideas off of him, giving me ideas, researching into Discord's internals, fixing problems, and continuing to be a dedicated member of the Discord modding community. In particular, Vizality is utilizing his coding on some React and DOM utilities.

**[Amish Shah](https://github.com/amishshah)**<br>
_Developer of [discord.js](https://discord.js.org/)_

His work on discord.js has been a helpful learning tool for me, and while mostly not directly related to manipulating Discord's internals like a client mod does, it helped spark ideas and tools to provide and code structures.

**[Aetheryx](https://github.com/aetheryx)** & **[Cynthia](https://github.com/cyyynthia)**<br>
_Developers of [Powercord](https://powercord.dev/)_

It's no secret that there is a bit of bad blood between me and the Powercord community--- Cynthia and Aetheryx in particular. We have a difference of opinion in the way some things should work, but they are skilled developers and much of Vizality's base code is attributed to them. Regardless, without their work on Powercord, Vizality would not be around today, and I thank them for their work and dedication to the community.

## Other Mentions

- Special thanks to anyone that has donated anything, pledged on Patreon, and everyone that has joined our [Discord server](https://discord.gg/Fvmsfv2) and been very supportive along the way towards creating a better Discord experience for everyone.

- BetterDiscord, EnhancedDiscord, DiscordInjections, Lightcord, and obviously Powercord, have all been a source of inspiration as we all ultimately have striven towards the same, or at least similar, goal of making the Discord experience more enjoyable. Let's keep the community fresh and keep coming up with new ideas amd implementations.

- Discord, because without you, none of this would be possible. But really, trying to build and keep up with your updates has certainly been a ride.

## Copyright Addendum

Here are the copyright notices of code used throughout Vizality:

```
MIT License

Copyright (c) 2018 Zachary Rauen

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```

```
Copyright 2015 - 2020 Amish Shah

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```

```
Powercord, a lightweight @discord client mod focused on simplicity and performance
Copyright (C) 2018-2020  aetheryx & Bowser65

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
```

```
MIT License

Copyright (c) 2017 Andrea Parodi

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```

```
MIT License

Copyright (c) 2016 Thomas Brouard

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```
