import React, { memo } from 'react';

import { ContextMenu } from '@vizality/components';
import { Messages } from '@vizality/i18n';

export default memo(({ onClose }) => {
  return (
    <ContextMenu.Menu navId='vz-addons-list-sort-filter-menu' onClose={onClose}>
      <ContextMenu.Group label='Sort'>
        <ContextMenu.RadioItem
          id='sort-name'
          group='sort'
          label='Name'
          checked={true}
          action={() => void 0}
        />
        <ContextMenu.RadioItem
          id='sort-most-stars'
          group='sort'
          label='Stars'
          action={() => void 0}
          disabled={true}
        />
        <ContextMenu.RadioItem
          id='sort-recently-added'
          group='sort'
          label='Published Date'
          action={() => void 0}
          disabled={true}
        />
        <ContextMenu.RadioItem
          id='sort-most-downloaded'
          group='sort'
          label='Downloads'
          action={() => void 0}
          disabled={true}
        />
      </ContextMenu.Group>
      <ContextMenu.Group label='Filter'>
        <ContextMenu.CheckboxItem
          id='filter-enabled'
          label='Enabled'
          checked={true}
          action={() => void 0}
        />
        <ContextMenu.CheckboxItem
          id='filter-disabled'
          label='Disabled'
          checked={true}
          action={() => void 0}
        />
      </ContextMenu.Group>
    </ContextMenu.Menu>
  );
});
